IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network167.167.119.0/25
Usable hosts126
Subnet mask255.255.255.128
Addresses128
- Network address
167.167.119.0- Broadcast address
167.167.119.127- First usable
167.167.119.1- Last usable
167.167.119.126- Usable hosts
- 126 (128 less the network and broadcast addresses)
- Subnet mask
255.255.255.128- Wildcard mask
0.0.0.127(Cisco ACLs, OSPF)- Prefix length
- /25
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
A7A77700· Integer2812770048to2812770175 - Reverse DNS zone
119.167.167.in-addr.arpa
Smaller than a /24: the provider delegates it inside the /24 zone (RFC 2317), or sets each PTR record for you.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10100111.10100111.01110111.00000000 | 167.167.119.0 |
| Subnet mask | 11111111.11111111.11111111.10000000 | 255.255.255.128 |
| Network | 10100111.10100111.01110111.00000000 | 167.167.119.0 |
| Broadcast | 10100111.10100111.01110111.01111111 | 167.167.119.127 |
Split into smaller subnets
167.167.119.0/25 makes 128 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 167.167.119.0/32 | 167.167.119.0 to 167.167.119.0 | — | 1 |
| 2 | 167.167.119.1/32 | 167.167.119.1 to 167.167.119.1 | — | 1 |
| 3 | 167.167.119.2/32 | 167.167.119.2 to 167.167.119.2 | — | 1 |
| 4 | 167.167.119.3/32 | 167.167.119.3 to 167.167.119.3 | — | 1 |
| 5 | 167.167.119.4/32 | 167.167.119.4 to 167.167.119.4 | — | 1 |
| 6 | 167.167.119.5/32 | 167.167.119.5 to 167.167.119.5 | — | 1 |
| 7 | 167.167.119.6/32 | 167.167.119.6 to 167.167.119.6 | — | 1 |
| 8 | 167.167.119.7/32 | 167.167.119.7 to 167.167.119.7 | — | 1 |
| 9 | 167.167.119.8/32 | 167.167.119.8 to 167.167.119.8 | — | 1 |
| 10 | 167.167.119.9/32 | 167.167.119.9 to 167.167.119.9 | — | 1 |
| 11 | 167.167.119.10/32 | 167.167.119.10 to 167.167.119.10 | — | 1 |
| 12 | 167.167.119.11/32 | 167.167.119.11 to 167.167.119.11 | — | 1 |
| 13 | 167.167.119.12/32 | 167.167.119.12 to 167.167.119.12 | — | 1 |
| 14 | 167.167.119.13/32 | 167.167.119.13 to 167.167.119.13 | — | 1 |
| 15 | 167.167.119.14/32 | 167.167.119.14 to 167.167.119.14 | — | 1 |
| 16 | 167.167.119.15/32 | 167.167.119.15 to 167.167.119.15 | — | 1 |
| 17 | 167.167.119.16/32 | 167.167.119.16 to 167.167.119.16 | — | 1 |
| 18 | 167.167.119.17/32 | 167.167.119.17 to 167.167.119.17 | — | 1 |
| 19 | 167.167.119.18/32 | 167.167.119.18 to 167.167.119.18 | — | 1 |
| 20 | 167.167.119.19/32 | 167.167.119.19 to 167.167.119.19 | — | 1 |
| 21 | 167.167.119.20/32 | 167.167.119.20 to 167.167.119.20 | — | 1 |
| 22 | 167.167.119.21/32 | 167.167.119.21 to 167.167.119.21 | — | 1 |
| 23 | 167.167.119.22/32 | 167.167.119.22 to 167.167.119.22 | — | 1 |
| 24 | 167.167.119.23/32 | 167.167.119.23 to 167.167.119.23 | — | 1 |
| 25 | 167.167.119.24/32 | 167.167.119.24 to 167.167.119.24 | — | 1 |
| 26 | 167.167.119.25/32 | 167.167.119.25 to 167.167.119.25 | — | 1 |
| 27 | 167.167.119.26/32 | 167.167.119.26 to 167.167.119.26 | — | 1 |
| 28 | 167.167.119.27/32 | 167.167.119.27 to 167.167.119.27 | — | 1 |
| 29 | 167.167.119.28/32 | 167.167.119.28 to 167.167.119.28 | — | 1 |
| 30 | 167.167.119.29/32 | 167.167.119.29 to 167.167.119.29 | — | 1 |
| 31 | 167.167.119.30/32 | 167.167.119.30 to 167.167.119.30 | — | 1 |
| 32 | 167.167.119.31/32 | 167.167.119.31 to 167.167.119.31 | — | 1 |
| 33 | 167.167.119.32/32 | 167.167.119.32 to 167.167.119.32 | — | 1 |
| 34 | 167.167.119.33/32 | 167.167.119.33 to 167.167.119.33 | — | 1 |
| 35 | 167.167.119.34/32 | 167.167.119.34 to 167.167.119.34 | — | 1 |
| 36 | 167.167.119.35/32 | 167.167.119.35 to 167.167.119.35 | — | 1 |
| 37 | 167.167.119.36/32 | 167.167.119.36 to 167.167.119.36 | — | 1 |
| 38 | 167.167.119.37/32 | 167.167.119.37 to 167.167.119.37 | — | 1 |
| 39 | 167.167.119.38/32 | 167.167.119.38 to 167.167.119.38 | — | 1 |
| 40 | 167.167.119.39/32 | 167.167.119.39 to 167.167.119.39 | — | 1 |
| 41 | 167.167.119.40/32 | 167.167.119.40 to 167.167.119.40 | — | 1 |
| 42 | 167.167.119.41/32 | 167.167.119.41 to 167.167.119.41 | — | 1 |
| 43 | 167.167.119.42/32 | 167.167.119.42 to 167.167.119.42 | — | 1 |
| 44 | 167.167.119.43/32 | 167.167.119.43 to 167.167.119.43 | — | 1 |
| 45 | 167.167.119.44/32 | 167.167.119.44 to 167.167.119.44 | — | 1 |
| 46 | 167.167.119.45/32 | 167.167.119.45 to 167.167.119.45 | — | 1 |
| 47 | 167.167.119.46/32 | 167.167.119.46 to 167.167.119.46 | — | 1 |
| 48 | 167.167.119.47/32 | 167.167.119.47 to 167.167.119.47 | — | 1 |
| 49 | 167.167.119.48/32 | 167.167.119.48 to 167.167.119.48 | — | 1 |
| 50 | 167.167.119.49/32 | 167.167.119.49 to 167.167.119.49 | — | 1 |
| 51 | 167.167.119.50/32 | 167.167.119.50 to 167.167.119.50 | — | 1 |
| 52 | 167.167.119.51/32 | 167.167.119.51 to 167.167.119.51 | — | 1 |
| 53 | 167.167.119.52/32 | 167.167.119.52 to 167.167.119.52 | — | 1 |
| 54 | 167.167.119.53/32 | 167.167.119.53 to 167.167.119.53 | — | 1 |
| 55 | 167.167.119.54/32 | 167.167.119.54 to 167.167.119.54 | — | 1 |
| 56 | 167.167.119.55/32 | 167.167.119.55 to 167.167.119.55 | — | 1 |
| 57 | 167.167.119.56/32 | 167.167.119.56 to 167.167.119.56 | — | 1 |
| 58 | 167.167.119.57/32 | 167.167.119.57 to 167.167.119.57 | — | 1 |
| 59 | 167.167.119.58/32 | 167.167.119.58 to 167.167.119.58 | — | 1 |
| 60 | 167.167.119.59/32 | 167.167.119.59 to 167.167.119.59 | — | 1 |
| 61 | 167.167.119.60/32 | 167.167.119.60 to 167.167.119.60 | — | 1 |
| 62 | 167.167.119.61/32 | 167.167.119.61 to 167.167.119.61 | — | 1 |
| 63 | 167.167.119.62/32 | 167.167.119.62 to 167.167.119.62 | — | 1 |
| 64 | 167.167.119.63/32 | 167.167.119.63 to 167.167.119.63 | — | 1 |
| 65 | 167.167.119.64/32 | 167.167.119.64 to 167.167.119.64 | — | 1 |
| 66 | 167.167.119.65/32 | 167.167.119.65 to 167.167.119.65 | — | 1 |
| 67 | 167.167.119.66/32 | 167.167.119.66 to 167.167.119.66 | — | 1 |
| 68 | 167.167.119.67/32 | 167.167.119.67 to 167.167.119.67 | — | 1 |
| 69 | 167.167.119.68/32 | 167.167.119.68 to 167.167.119.68 | — | 1 |
| 70 | 167.167.119.69/32 | 167.167.119.69 to 167.167.119.69 | — | 1 |
| 71 | 167.167.119.70/32 | 167.167.119.70 to 167.167.119.70 | — | 1 |
| 72 | 167.167.119.71/32 | 167.167.119.71 to 167.167.119.71 | — | 1 |
| 73 | 167.167.119.72/32 | 167.167.119.72 to 167.167.119.72 | — | 1 |
| 74 | 167.167.119.73/32 | 167.167.119.73 to 167.167.119.73 | — | 1 |
| 75 | 167.167.119.74/32 | 167.167.119.74 to 167.167.119.74 | — | 1 |
| 76 | 167.167.119.75/32 | 167.167.119.75 to 167.167.119.75 | — | 1 |
| 77 | 167.167.119.76/32 | 167.167.119.76 to 167.167.119.76 | — | 1 |
| 78 | 167.167.119.77/32 | 167.167.119.77 to 167.167.119.77 | — | 1 |
| 79 | 167.167.119.78/32 | 167.167.119.78 to 167.167.119.78 | — | 1 |
| 80 | 167.167.119.79/32 | 167.167.119.79 to 167.167.119.79 | — | 1 |
| 81 | 167.167.119.80/32 | 167.167.119.80 to 167.167.119.80 | — | 1 |
| 82 | 167.167.119.81/32 | 167.167.119.81 to 167.167.119.81 | — | 1 |
| 83 | 167.167.119.82/32 | 167.167.119.82 to 167.167.119.82 | — | 1 |
| 84 | 167.167.119.83/32 | 167.167.119.83 to 167.167.119.83 | — | 1 |
| 85 | 167.167.119.84/32 | 167.167.119.84 to 167.167.119.84 | — | 1 |
| 86 | 167.167.119.85/32 | 167.167.119.85 to 167.167.119.85 | — | 1 |
| 87 | 167.167.119.86/32 | 167.167.119.86 to 167.167.119.86 | — | 1 |
| 88 | 167.167.119.87/32 | 167.167.119.87 to 167.167.119.87 | — | 1 |
| 89 | 167.167.119.88/32 | 167.167.119.88 to 167.167.119.88 | — | 1 |
| 90 | 167.167.119.89/32 | 167.167.119.89 to 167.167.119.89 | — | 1 |
| 91 | 167.167.119.90/32 | 167.167.119.90 to 167.167.119.90 | — | 1 |
| 92 | 167.167.119.91/32 | 167.167.119.91 to 167.167.119.91 | — | 1 |
| 93 | 167.167.119.92/32 | 167.167.119.92 to 167.167.119.92 | — | 1 |
| 94 | 167.167.119.93/32 | 167.167.119.93 to 167.167.119.93 | — | 1 |
| 95 | 167.167.119.94/32 | 167.167.119.94 to 167.167.119.94 | — | 1 |
| 96 | 167.167.119.95/32 | 167.167.119.95 to 167.167.119.95 | — | 1 |
| 97 | 167.167.119.96/32 | 167.167.119.96 to 167.167.119.96 | — | 1 |
| 98 | 167.167.119.97/32 | 167.167.119.97 to 167.167.119.97 | — | 1 |
| 99 | 167.167.119.98/32 | 167.167.119.98 to 167.167.119.98 | — | 1 |
| 100 | 167.167.119.99/32 | 167.167.119.99 to 167.167.119.99 | — | 1 |
| 101 | 167.167.119.100/32 | 167.167.119.100 to 167.167.119.100 | — | 1 |
| 102 | 167.167.119.101/32 | 167.167.119.101 to 167.167.119.101 | — | 1 |
| 103 | 167.167.119.102/32 | 167.167.119.102 to 167.167.119.102 | — | 1 |
| 104 | 167.167.119.103/32 | 167.167.119.103 to 167.167.119.103 | — | 1 |
| 105 | 167.167.119.104/32 | 167.167.119.104 to 167.167.119.104 | — | 1 |
| 106 | 167.167.119.105/32 | 167.167.119.105 to 167.167.119.105 | — | 1 |
| 107 | 167.167.119.106/32 | 167.167.119.106 to 167.167.119.106 | — | 1 |
| 108 | 167.167.119.107/32 | 167.167.119.107 to 167.167.119.107 | — | 1 |
| 109 | 167.167.119.108/32 | 167.167.119.108 to 167.167.119.108 | — | 1 |
| 110 | 167.167.119.109/32 | 167.167.119.109 to 167.167.119.109 | — | 1 |
| 111 | 167.167.119.110/32 | 167.167.119.110 to 167.167.119.110 | — | 1 |
| 112 | 167.167.119.111/32 | 167.167.119.111 to 167.167.119.111 | — | 1 |
| 113 | 167.167.119.112/32 | 167.167.119.112 to 167.167.119.112 | — | 1 |
| 114 | 167.167.119.113/32 | 167.167.119.113 to 167.167.119.113 | — | 1 |
| 115 | 167.167.119.114/32 | 167.167.119.114 to 167.167.119.114 | — | 1 |
| 116 | 167.167.119.115/32 | 167.167.119.115 to 167.167.119.115 | — | 1 |
| 117 | 167.167.119.116/32 | 167.167.119.116 to 167.167.119.116 | — | 1 |
| 118 | 167.167.119.117/32 | 167.167.119.117 to 167.167.119.117 | — | 1 |
| 119 | 167.167.119.118/32 | 167.167.119.118 to 167.167.119.118 | — | 1 |
| 120 | 167.167.119.119/32 | 167.167.119.119 to 167.167.119.119 | — | 1 |
| 121 | 167.167.119.120/32 | 167.167.119.120 to 167.167.119.120 | — | 1 |
| 122 | 167.167.119.121/32 | 167.167.119.121 to 167.167.119.121 | — | 1 |
| 123 | 167.167.119.122/32 | 167.167.119.122 to 167.167.119.122 | — | 1 |
| 124 | 167.167.119.123/32 | 167.167.119.123 to 167.167.119.123 | — | 1 |
| 125 | 167.167.119.124/32 | 167.167.119.124 to 167.167.119.124 | — | 1 |
| 126 | 167.167.119.125/32 | 167.167.119.125 to 167.167.119.125 | — | 1 |
| 127 | 167.167.119.126/32 | 167.167.119.126 to 167.167.119.126 | — | 1 |
| 128 | 167.167.119.127/32 | 167.167.119.127 to 167.167.119.127 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |